Debian Bug report logs - #598835
unblock: mina2/2.0.0+dfsg-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Damien Raude-Morvan <drazzib@debian.org>

Date: Sat, 2 Oct 2010 14:12:01 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598835; Package release.debian.org. (Sat, 02 Oct 2010 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Raude-Morvan <drazzib@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 02 Oct 2010 14:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: mina2/2.0.0+dfsg-1
Date: Sat, 02 Oct 2010 16:09:14 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package mina2, it contains final release (squeeze as RC1 for now).
Upstream fixed lots of major issues :
<https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=10670&styleName=Html&version=12313701>

Here is the changelog:
 mina2 (2.0.0+dfsg-1) unstable; urgency=low
 .
   * New upstream final release:
     - d/rules: No more mina-parent pom.
     - d/watch: Only track stable releases now.
   * Update Standards-Version 3.9.1: no changes needed.
   * Enable rxtx support:
     - d/control: Add Build-Depends on librxtx-java.
     - d/build.xml: Enable build of transport-serial module.
     - d/rules: Include RXTXcomm.jar in classpath.
   * d/copyright: Updated and migrated to DEP-5 format.
   * d/control: Fix Vcs-* to use mina2 repository.
   * d/control: Drop depends on JRE runtime (aka new Java Policy).

unblock mina2/2.0.0+dfsg-1

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598835; Package release.debian.org. (Tue, 05 Oct 2010 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Oct 2010 20:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 598835@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Damien Raude-Morvan <drazzib@debian.org>, 598835@bugs.debian.org
Subject: Re: Bug#598835: unblock: mina2/2.0.0+dfsg-1
Date: Tue, 05 Oct 2010 21:31:41 +0100
On Sat, 2010-10-02 at 16:09 +0200, Damien Raude-Morvan wrote:
> Please unblock package mina2, it contains final release (squeeze as RC1 for now).
> Upstream fixed lots of major issues :
> <https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=10670&styleName=Html&version=12313701>

Why are there a bunch of ".releaseBackup" files in the source package?

Even ignoring those, the diffstat against the RC1 package is

 136 files changed, 3004 insertions(+), 1713 deletions(-)

which is still quite large for an update at this stage of the freeze.

>    * Enable rxtx support:
>      - d/control: Add Build-Depends on librxtx-java.
>      - d/build.xml: Enable build of transport-serial module.
>      - d/rules: Include RXTXcomm.jar in classpath.

Why was this support not enabled earlier?  New dependencies and features
aren't really appropriate at this stage.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598835; Package release.debian.org. (Thu, 07 Oct 2010 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Raude-Morvan <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 07 Oct 2010 14:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 598835@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: <598835@bugs.debian.org>
Subject: Re: Bug#598835: unblock: mina2/2.0.0+dfsg-1
Date: Thu, 07 Oct 2010 16:40:30 +0200
Hi Adam,

On Tue, 05 Oct 2010 21:31:41 +0100, "Adam D. Barratt"
> Why are there a bunch of ".releaseBackup" files in the source package?

Those files are created by upstream release tool (maven-release-plugin
update each pom.xml to increase version just before creating
final tarballs). You can safely ignore them.

> Even ignoring those, the diffstat against the RC1 package is
>  136 files changed, 3004 insertions(+), 1713 deletions(-)
> which is still quite large for an update at this stage of the freeze.

Yes, I know :/
RC1 was released before 2009-10-20 and upstream haven't made any release
since then...
So 2.0.0 final release include many bugfixes (ie. one year of bugfixes
:/).

>>    * Enable rxtx support:
>>      - d/control: Add Build-Depends on librxtx-java.
>>      - d/build.xml: Enable build of transport-serial module.
>>      - d/rules: Include RXTXcomm.jar in classpath.
> 
> Why was this support not enabled earlier?  New dependencies and features
> aren't really appropriate at this stage.

rxtx feature was not really stable in mina RC1 release, so it was
disabled.
I've re-enabled it for 2.0 as I've successfully tested it locally.

If this is too much for squeeze, I can disable this rxtx support again as
reverse-depends of mina2 doesn't use this feature.
(being maintainer of red5, I can guarantee it work great with mina2 2.0.0)

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598835; Package release.debian.org. (Sat, 23 Oct 2010 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 23 Oct 2010 13:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 598835@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Damien Raude-Morvan <drazzib@debian.org>, 598835@bugs.debian.org
Subject: Re: Bug#598835: unblock: mina2/2.0.0+dfsg-1
Date: Sat, 23 Oct 2010 14:06:13 +0100
On Thu, 2010-10-07 at 16:40 +0200, Damien Raude-Morvan wrote:
> On Tue, 05 Oct 2010 21:31:41 +0100, "Adam D. Barratt"
> > Even ignoring those, the diffstat against the RC1 package is
> >  136 files changed, 3004 insertions(+), 1713 deletions(-)
> > which is still quite large for an update at this stage of the freeze.
> 
> Yes, I know :/
> RC1 was released before 2009-10-20 and upstream haven't made any release
> since then...
> So 2.0.0 final release include many bugfixes (ie. one year of bugfixes
> :/).

I've now had chance to review the diff; apologies for the delay.  It
turns out that a lot of the changes are JavaDoc or the reformatting of
method headers or calls, although the latter particularly didn't help
make the diff more readable. :-/

Having looked through the list of upstream bugfixes, I'd be happy to
unblock those, but:

> >>    * Enable rxtx support:
> >>      - d/control: Add Build-Depends on librxtx-java.
[...]
> > Why was this support not enabled earlier?  New dependencies and features
> > aren't really appropriate at this stage.
> 
> rxtx feature was not really stable in mina RC1 release, so it was
> disabled.
> I've re-enabled it for 2.0 as I've successfully tested it locally.
> 
> If this is too much for squeeze, I can disable this rxtx support again as
> reverse-depends of mina2 doesn't use this feature.

Sorry, but yes, if the feature hasn't been enabled previously and isn't
used by any of the r-deps, I'd prefer that it stay disabled for Squeeze.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598835; Package release.debian.org. (Thu, 28 Oct 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 28 Oct 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 598835@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 598835@bugs.debian.org
Subject: Re: Bug#598835: unblock: mina2/2.0.0+dfsg-1
Date: Thu, 28 Oct 2010 22:58:41 +0200
[Message part 1 (text/plain, inline)]
Hi Adam,

Le samedi 23 octobre 2010 15:06:13, Adam D. Barratt a écrit :
> I've now had chance to review the diff; apologies for the delay.  It
> turns out that a lot of the changes are JavaDoc or the reformatting of
> method headers or calls, although the latter particularly didn't help
> make the diff more readable. :-/
> 
> Having looked through the list of upstream bugfixes, I'd be happy to
> unblock those, but:

Thanks for you review and thank for your unbock "ACK".

> > >>    * Enable rxtx support:
> > >>      - d/control: Add Build-Depends on librxtx-java.
> 
> [...]
> 
> > > Why was this support not enabled earlier?  New dependencies and
> > > features aren't really appropriate at this stage.
> > 
> > rxtx feature was not really stable in mina RC1 release, so it was
> > disabled.
> > I've re-enabled it for 2.0 as I've successfully tested it locally.
> > 
> > If this is too much for squeeze, I can disable this rxtx support again as
> > reverse-depends of mina2 doesn't use this feature.
> 
> Sorry, but yes, if the feature hasn't been enabled previously and isn't
> used by any of the r-deps, I'd prefer that it stay disabled for Squeeze.

I plan to upload a mina2 2.0.0+dfsg-1.1 to t-p-u with this change dropped. Is 
this okay for you ?

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#598835; Package release.debian.org. (Fri, 29 Oct 2010 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 29 Oct 2010 20:15:05 GMT) Full text and rfc822 format available.

Message #30 received at 598835@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Damien Raude-Morvan <drazzib@debian.org>, 598835@bugs.debian.org
Subject: Re: Bug#598835: unblock: mina2/2.0.0+dfsg-1
Date: Fri, 29 Oct 2010 21:14:26 +0100
On Thu, 2010-10-28 at 22:58 +0200, Damien Raude-Morvan wrote:
> Le samedi 23 octobre 2010 15:06:13, Adam D. Barratt a écrit :
> > > >>    * Enable rxtx support:
> > > >>      - d/control: Add Build-Depends on librxtx-java.
[...]
> > > If this is too much for squeeze, I can disable this rxtx support again as
> > > reverse-depends of mina2 doesn't use this feature.
> > 
> > Sorry, but yes, if the feature hasn't been enabled previously and isn't
> > used by any of the r-deps, I'd prefer that it stay disabled for Squeeze.
> 
> I plan to upload a mina2 2.0.0+dfsg-1.1 to t-p-u with this change dropped. Is 
> this okay for you ?

Assuming that the intention was for 2.0.0+dfsg-1 to stay blocked in
unstable with the feature enabled, a tpu version would need to be lower;
e.g. 2.0.0+dfsg-1~squeeze1.

Regards,

Adam





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 30 Oct 2010 12:21:07 GMT) Full text and rfc822 format available.

Notification sent to Damien Raude-Morvan <drazzib@debian.org>:
Bug acknowledged by developer. (Sat, 30 Oct 2010 12:21:07 GMT) Full text and rfc822 format available.

Message #35 received at 598835-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 598835-done@bugs.debian.org
Cc: Damien Raude-Morvan <drazzib@debian.org>
Subject: Re: Bug#598835: unblock: mina2/2.0.0+dfsg-1
Date: Sat, 30 Oct 2010 13:18:11 +0100
On Fri, 2010-10-29 at 21:14 +0100, Adam D. Barratt wrote:
> On Thu, 2010-10-28 at 22:58 +0200, Damien Raude-Morvan wrote:
> > Le samedi 23 octobre 2010 15:06:13, Adam D. Barratt a écrit :
> > > > >>    * Enable rxtx support:
> > > > >>      - d/control: Add Build-Depends on librxtx-java.
> [...]
> > > > If this is too much for squeeze, I can disable this rxtx support again as
> > > > reverse-depends of mina2 doesn't use this feature.
> > > 
> > > Sorry, but yes, if the feature hasn't been enabled previously and isn't
> > > used by any of the r-deps, I'd prefer that it stay disabled for Squeeze.
> > 
> > I plan to upload a mina2 2.0.0+dfsg-1.1 to t-p-u with this change dropped. Is 
> > this okay for you ?
> 
> Assuming that the intention was for 2.0.0+dfsg-1 to stay blocked in
> unstable with the feature enabled, a tpu version would need to be lower;
> e.g. 2.0.0+dfsg-1~squeeze1.

2.0.0+dfsg-0squeeze1 approved, thanks.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Nov 2010 07:30:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:15:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.